E-MailRelay

Public Member Functions | Public Attributes | List of all members
GNet::Client::Config Struct Reference

A structure containing GNet::Client configuration parameters. More...

`#include <gclient.h>`

Collaboration diagram for GNet::Client::Config:
[legend]

## Public Member Functions
Config & | set_stream_socket_config (const StreamSocket::Config &)
Config & | set_line_buffer_config (const LineBuffer::Config &)
Config & | set_socket_protocol_config (const SocketProtocol::Config &)
Config & | set_sync_dns (bool=true) noexcept
Config & | set_auto_start (bool=true) noexcept
Config & | set_bind_local_address (bool=true) noexcept
Config & | set_local_address (const Address &)
Config & | set_connection_timeout (unsigned int) noexcept
Config & | set_response_timeout (unsigned int) noexcept
Config & | set_idle_timeout (unsigned int) noexcept
Config & | set_all_timeouts (unsigned int) noexcept
Config & | set_no_throw_on_peer_disconnect (bool=true) noexcept

## Public Attributes
StreamSocket::Config | stream_socket_config
LineBuffer::Config | line_buffer_config {LineBuffer::Config::transparent()}
SocketProtocol::Config | socket_protocol_config
Address | local_address {Address::defaultAddress()}
bool | sync_dns {false}
bool | auto_start {true}
bool | bind_local_address {false}
unsigned int | connection_timeout {0U}
unsigned int | response_timeout {0U}
unsigned int | idle_timeout {0U}
bool | no_throw_on_peer_disconnect {false}

## Detailed Description

A structure containing GNet::Client configuration parameters.

Definition at line 86 of file gclient.h.

## Member Function Documentation

## ◆ set_all_timeouts()

GNet::Client::Config & GNet::Client::Config::set_all_timeouts | ( | unsigned int | all_timeouts | ) |
| noexcept

Definition at line 522 of file gclient.cpp.

## ◆ set_auto_start()

GNet::Client::Config & GNet::Client::Config::set_auto_start | ( | bool | b = `true` | ) |
| inline noexcept

Definition at line 325 of file gclient.h.

## ◆ set_bind_local_address()

GNet::Client::Config & GNet::Client::Config::set_bind_local_address | ( | bool | b = `true` | ) |
| inline noexcept

Definition at line 326 of file gclient.h.

## ◆ set_connection_timeout()

GNet::Client::Config & GNet::Client::Config::set_connection_timeout | ( | unsigned int | t | ) |
| inline noexcept

Definition at line 328 of file gclient.h.

## ◆ set_idle_timeout()

GNet::Client::Config & GNet::Client::Config::set_idle_timeout | ( | unsigned int | t | ) |
| inline noexcept

Definition at line 330 of file gclient.h.

## ◆ set_line_buffer_config()

GNet::Client::Config & GNet::Client::Config::set_line_buffer_config | ( | const LineBuffer::Config & | cfg | ) |
| inline

Definition at line 322 of file gclient.h.

## ◆ set_local_address()

GNet::Client::Config & GNet::Client::Config::set_local_address | ( | const Address & | a | ) |
| inline

Definition at line 327 of file gclient.h.

## ◆ set_no_throw_on_peer_disconnect()

GNet::Client::Config & GNet::Client::Config::set_no_throw_on_peer_disconnect | ( | bool | b = `true` | ) |
| inline noexcept

Definition at line 331 of file gclient.h.

## ◆ set_response_timeout()

GNet::Client::Config & GNet::Client::Config::set_response_timeout | ( | unsigned int | t | ) |
| inline noexcept

Definition at line 329 of file gclient.h.

## ◆ set_socket_protocol_config()

GNet::Client::Config & GNet::Client::Config::set_socket_protocol_config | ( | const SocketProtocol::Config & | cfg | ) |
| inline

Definition at line 323 of file gclient.h.

## ◆ set_stream_socket_config()

GNet::Client::Config & GNet::Client::Config::set_stream_socket_config | ( | const StreamSocket::Config & | cfg | ) |
| inline

Definition at line 321 of file gclient.h.

## ◆ set_sync_dns()

GNet::Client::Config & GNet::Client::Config::set_sync_dns | ( | bool | b = `true` | ) |
| inline noexcept

Definition at line 324 of file gclient.h.

## Member Data Documentation

## ◆ auto_start

bool GNet::Client::Config::auto_start {true}

Definition at line 93 of file gclient.h.

## ◆ bind_local_address

bool GNet::Client::Config::bind_local_address {false}

Definition at line 94 of file gclient.h.

## ◆ connection_timeout

unsigned int GNet::Client::Config::connection_timeout {0U}

Definition at line 95 of file gclient.h.

## ◆ idle_timeout

unsigned int GNet::Client::Config::idle_timeout {0U}

Definition at line 97 of file gclient.h.

## ◆ line_buffer_config

LineBuffer::Config GNet::Client::Config::line_buffer_config {LineBuffer::Config::transparent()}

Definition at line 89 of file gclient.h.

## ◆ local_address

Address GNet::Client::Config::local_address {Address::defaultAddress()}

Definition at line 91 of file gclient.h.

## ◆ no_throw_on_peer_disconnect

bool GNet::Client::Config::no_throw_on_peer_disconnect {false}

Definition at line 98 of file gclient.h.

## ◆ response_timeout

unsigned int GNet::Client::Config::response_timeout {0U}

Definition at line 96 of file gclient.h.

## ◆ socket_protocol_config

SocketProtocol::Config GNet::Client::Config::socket_protocol_config

Definition at line 90 of file gclient.h.

## ◆ stream_socket_config

StreamSocket::Config GNet::Client::Config::stream_socket_config

Definition at line 88 of file gclient.h.

## ◆ sync_dns

bool GNet::Client::Config::sync_dns {false}

Definition at line 92 of file gclient.h.

The documentation for this struct was generated from the following files:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gnet/gclient.h
- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gnet/gclient.cpp